summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorEd Warnicke <hagbard@gmail.com>2016-12-05 14:53:10 +0000
committerEd Warnicke <hagbard@gmail.com>2016-12-05 14:53:10 +0000
commit586dda52be4e17a7276ea42a3ef0df6fe77ed308 (patch)
tree67d349451bac5c46f54ce159a527cb79e9403b8c
parent12420b9347e5c92554b45f844dc31dd69d31beff (diff)
Revert "Use make verify only after its working and not for CSIT builds."
This reverts gerrit https://gerrit.fd.io/r/#/c/4083/ This reverts commit 12420b9347e5c92554b45f844dc31dd69d31beff. Change-Id: If92739ef507f079d5e45fa412924837f8b358c33 Signed-off-by: Ed Warnicke <eaw@cisco.com>
-rw-r--r--jjb/vpp/include-raw-vpp-build.sh32
1 files changed, 18 insertions, 14 deletions
diff --git a/jjb/vpp/include-raw-vpp-build.sh b/jjb/vpp/include-raw-vpp-build.sh
index ba5511178..b606fc698 100644
--- a/jjb/vpp/include-raw-vpp-build.sh
+++ b/jjb/vpp/include-raw-vpp-build.sh
@@ -28,22 +28,26 @@ fi
echo "sha1sum of this script: ${0}"
sha1sum $0
-echo "CC=${CC}"
-echo "IS_CSIT_VPP_JOB=${IS_CSIT_VPP_JOB}"
+# Check to make sure the patch doesn't need to be rebased
+# Since there was a discontinuity, patches with a
+# parent before 30d41ff need to be rebased
-# If and only if we are doing verify *after* make verify was made to work
-# and we are not a CSIT job just building packages, then use make verify,
-# else use the old build-root/vagrant/build.sh
-if (git log --oneline | grep 37682e1 > /dev/null 2>&1) && \
- [ "x${IS_CSIT_VPP_JOB}" != "xTrue" ]
-then
- echo "Building using \"make verify\""
- [ "x${DRYRUN}" != "True" ]|| make UNATTENDED=yes verify
-else
- echo "Building using \"build-root/vagrant/build.sh\""
- [ "x${DRYRUN}" != "True" ] || build-root/vagrant/build.sh
-fi
+(git log --oneline | grep 30d41ff > /dev/null 2>&1);if [ $? != 0 ]; then REBASE_NEEDED="1";fi
+(git log --oneline | grep fb0815d > /dev/null 2>&1);if [ $? == 0 ]; then VPP_REPO="1";fi
+echo "REBASE_NEEDED: ${REBASE_NEEDED}"
+echo "VPP_REPO: ${VPP_REPO}"
+if [ "x${VPP_REPO}" == "x1" ]; then
+ if [ "x${REBASE_NEEDED}" == "x1" ]; then
+ echo "This patch to vpp is based on an old point in the tree that is likely"
+ echo "to fail verify."
+ echo "PLEASE REBASE PATCH ON THE CURRENT HEAD OF THE VPP REPO"
+ exit 1
+ fi
+fi
+echo "CC=${CC}"
+echo "IS_CSIT_VPP_JOB=${IS_CSIT_VPP_JOB}"
+make UNATTENDED=yes verify
echo "*******************************************************************"
echo "* VPP BUILD SUCCESSFULLY COMPLETED"